DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-06-20-EventDetails_OrganizerId';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=4046) THEN
			RETURN;
		END IF;

		BEGIN
			ALTER TABLE  public."EventDetails" ADD "OrganizerId" int2 NULL;
 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-06-20-EventDetails_OrganizerId: %', SQLERRM;
		END;
	END;
$$
